Index: cprs/trunk/CPRS-Chart/Consults/fEditConsult.dfm
===================================================================
--- cprs/trunk/CPRS-Chart/Consults/fEditConsult.dfm	(revision 829)
+++ cprs/trunk/CPRS-Chart/Consults/fEditConsult.dfm	(revision 1679)
@@ -1,119 +1,54 @@
 inherited frmEditCslt: TfrmEditCslt
   Tag = 110
-  Left = 409
-  Top = 225
-  Width = 599
-  Height = 375
+  Left = 461
+  Top = 191
+  Width = 576
+  Height = 479
   HorzScrollBar.Range = 561
   VertScrollBar.Range = 340
   Caption = 'Edit/Resubmit a Cancelled Consult'
-  Constraints.MinHeight = 371
-  Constraints.MinWidth = 573
+  Constraints.MinHeight = 467
+  Constraints.MinWidth = 576
   OldCreateOrder = True
   Position = poScreenCenter
-  ExplicitLeft = 409
-  ExplicitTop = 225
-  ExplicitWidth = 599
-  ExplicitHeight = 375
+  ExplicitWidth = 576
+  ExplicitHeight = 479
   DesignSize = (
-    591
-    341)
+    568
+    448)
   PixelsPerInch = 96
   TextHeight = 13
-  object lblService: TLabel [0]
-    Left = 4
-    Top = 4
-    Width = 134
-    Height = 13
-    Caption = 'Consult to Service/Specialty'
-  end
-  object lblReason: TLabel [1]
-    Left = 4
-    Top = 166
-    Width = 90
-    Height = 13
-    Caption = 'Reason for Consult'
-  end
-  object lblComment: TLabel [2]
-    Left = 4
-    Top = 105
-    Width = 77
-    Height = 13
-    Caption = 'New Comments:'
-  end
-  object lblComments: TLabel [3]
-    Left = 4
-    Top = 51
-    Width = 89
-    Height = 13
-    Caption = 'Display Comments:'
-  end
-  object lblUrgency: TStaticText [4]
-    Left = 196
-    Top = 4
-    Width = 44
-    Height = 17
-    Caption = 'Urgency'
-    TabOrder = 16
-  end
-  object lblPlace: TStaticText [5]
-    Left = 376
-    Top = 41
-    Width = 104
-    Height = 17
-    Caption = 'Place of Consultation'
-    TabOrder = 17
-  end
-  object lblAttn: TStaticText [6]
-    Left = 376
-    Top = 4
-    Width = 46
-    Height = 17
-    Caption = 'Attention'
-    TabOrder = 18
-  end
-  object lblProvDiag: TStaticText [7]
-    Left = 195
-    Top = 82
-    Width = 104
-    Height = 17
-    Caption = 'Provisional Diagnosis'
-    TabOrder = 19
-  end
-  object lblInpOutp: TStaticText [8]
-    Left = 197
-    Top = 47
-    Width = 127
-    Height = 17
-    Caption = 'Patient will be seen as an:'
-    TabOrder = 20
-  end
-  object memReason: TRichEdit [9]
-    Left = 4
-    Top = 179
-    Width = 589
-    Height = 137
-    Anchors = [akLeft, akTop, akRight, akBottom]
+  object pnlCombatVet: TPanel [0]
+    Left = 0
+    Top = 0
+    Width = 568
+    Height = 25
+    Align = alTop
+    BevelOuter = bvLowered
     Font.Charset = DEFAULT_CHARSET
     Font.Color = clWindowText
     Font.Height = -11
-    Font.Name = 'Courier New'
+    Font.Name = 'MS Sans Serif'
     Font.Style = []
     ParentFont = False
-    PopupMenu = popReason
-    ScrollBars = ssBoth
-    TabOrder = 11
-    WantTabs = True
-    OnChange = ControlChange
-    OnExit = memReasonExit
-    OnKeyDown = memCommentKeyDown
-    OnKeyPress = memCommentKeyPress
-    OnKeyUp = memCommentKeyUp
-    ExplicitHeight = 136
-  end
-  object pnlMessage: TPanel [10]
-    Left = 16
-    Top = 294
-    Width = 418
+    TabOrder = 0
+    object txtCombatVet: TVA508StaticText
+      Name = 'txtCombatVet'
+      Left = 1
+      Top = 1
+      Width = 566
+      Height = 23
+      Align = alClient
+      Alignment = taCenter
+      BevelOuter = bvNone
+      Enabled = False
+      TabOrder = 0
+      ShowAccelChar = True
+    end
+  end
+  object pnlMessage: TPanel [1]
+    Left = 21
+    Top = 404
+    Width = 388
     Height = 44
     Anchors = [akLeft, akRight, akBottom]
@@ -121,5 +56,5 @@
     BorderStyle = bsSingle
     Caption = 'pnlMessage'
-    TabOrder = 15
+    TabOrder = 4
     Visible = False
     object imgMessage: TImage
@@ -146,176 +81,17 @@
     end
   end
-  object cboService: TORComboBox [11]
-    Left = 4
-    Top = 19
-    Width = 180
-    Height = 21
-    Style = orcsDropDown
-    AutoSelect = True
-    Caption = 'Consult to Service/Specialty'
-    Color = clWindow
-    DropDownCount = 8
-    Enabled = False
-    Font.Charset = DEFAULT_CHARSET
-    Font.Color = clGrayText
-    Font.Height = -11
-    Font.Name = 'MS Sans Serif'
-    Font.Style = []
-    ItemHeight = 13
-    ItemTipColor = clWindow
-    ItemTipEnable = True
-    ListItemsOnly = True
-    LongList = False
-    LookupPiece = 0
-    MaxLength = 0
-    ParentFont = False
-    Pieces = '2'
-    Sorted = True
-    SynonymChars = '<>'
-    TabOrder = 0
-    CharsNeedMatch = 1
-  end
-  object cboUrgency: TORComboBox [12]
-    Left = 196
-    Top = 19
-    Width = 170
-    Height = 21
-    Style = orcsDropDown
-    AutoSelect = True
-    Caption = 'Urgency'
-    Color = clWindow
-    DropDownCount = 8
-    ItemHeight = 13
-    ItemTipColor = clWindow
-    ItemTipEnable = True
-    ListItemsOnly = True
-    LongList = False
-    LookupPiece = 0
-    MaxLength = 0
-    Pieces = '2'
-    Sorted = False
-    SynonymChars = '<>'
-    TabOrder = 1
-    OnChange = ControlChange
-    CharsNeedMatch = 1
-  end
-  object radInpatient: TRadioButton [13]
-    Left = 197
-    Top = 61
-    Width = 61
-    Height = 17
-    Caption = '&Inpatient'
-    TabOrder = 5
-    OnClick = radInpatientClick
-  end
-  object radOutpatient: TRadioButton [14]
-    Left = 269
-    Top = 61
-    Width = 73
-    Height = 17
-    Caption = '&Outpatient'
-    TabOrder = 6
-    OnClick = radOutpatientClick
-  end
-  object cboPlace: TORComboBox [15]
-    Left = 376
-    Top = 54
-    Width = 216
-    Height = 21
-    Anchors = [akLeft, akTop, akRight]
-    Style = orcsDropDown
-    AutoSelect = True
-    Caption = 'Place of Consultation'
-    Color = clWindow
-    DropDownCount = 8
-    ItemHeight = 13
-    ItemTipColor = clWindow
-    ItemTipEnable = True
-    ListItemsOnly = True
-    LongList = False
-    LookupPiece = 0
-    MaxLength = 0
-    Pieces = '2'
-    Sorted = False
-    SynonymChars = '<>'
-    TabOrder = 7
-    OnChange = ControlChange
-    CharsNeedMatch = 1
-  end
-  object txtProvDiag: TCaptionEdit [16]
-    Left = 195
-    Top = 95
-    Width = 346
-    Height = 21
-    Anchors = [akLeft, akTop, akRight]
-    MaxLength = 180
-    ParentShowHint = False
-    PopupMenu = mnuPopProvDx
-    ShowHint = True
-    TabOrder = 8
-    OnChange = ControlChange
-    Caption = 'Provisional Diagnosis'
-  end
-  object txtAttn: TORComboBox [17]
-    Left = 376
-    Top = 19
-    Width = 218
-    Height = 21
-    Anchors = [akLeft, akTop, akRight]
-    Style = orcsDropDown
-    AutoSelect = True
-    Caption = 'Attention'
-    Color = clWindow
-    DropDownCount = 8
-    ItemHeight = 13
-    ItemTipColor = clWindow
-    ItemTipEnable = True
-    ListItemsOnly = True
-    LongList = True
-    LookupPiece = 2
-    MaxLength = 0
-    Pieces = '2,3'
-    Sorted = False
-    SynonymChars = '<>'
-    TabOrder = 2
-    OnChange = ControlChange
-    OnNeedData = txtAttnNeedData
-    CharsNeedMatch = 1
-  end
-  object cboCategory: TORComboBox [18]
-    Left = 561
-    Top = 103
-    Width = 10
-    Height = 21
-    Style = orcsDropDown
-    AutoSelect = True
-    Color = clWindow
-    DropDownCount = 8
-    ItemHeight = 13
-    ItemTipColor = clWindow
-    ItemTipEnable = True
-    ListItemsOnly = False
-    LongList = False
-    LookupPiece = 0
-    MaxLength = 0
-    Sorted = False
-    SynonymChars = '<>'
-    TabOrder = 14
-    Visible = False
-    CharsNeedMatch = 1
-  end
-  object cmdAccept: TButton [19]
-    Left = 437
-    Top = 319
+  object cmdAccept: TButton [2]
+    Left = 414
+    Top = 425
     Width = 72
     Height = 21
     Anchors = [akRight, akBottom]
     Caption = 'Resubmit'
-    TabOrder = 12
+    TabOrder = 2
     OnClick = cmdAcceptClick
   end
-  object cmdQuit: TButton [20]
-    Left = 514
-    Top = 319
+  object cmdQuit: TButton [3]
+    Left = 491
+    Top = 425
     Width = 72
     Height = 21
@@ -323,52 +99,371 @@
     Cancel = True
     Caption = 'Cancel'
-    TabOrder = 13
+    TabOrder = 3
     OnClick = cmdQuitClick
   end
-  object memComment: TRichEdit [21]
-    Left = 4
-    Top = 121
-    Width = 587
-    Height = 41
-    Anchors = [akLeft, akTop, akRight]
-    PopupMenu = popReason
-    TabOrder = 10
-    WantTabs = True
-    OnChange = ControlChange
-    OnKeyDown = memCommentKeyDown
-    OnKeyPress = memCommentKeyPress
-    OnKeyUp = memCommentKeyUp
-  end
-  object btnCmtCancel: TButton [22]
-    Left = 110
-    Top = 49
-    Width = 75
-    Height = 21
-    Caption = 'Cancellation'
-    TabOrder = 3
-    OnClick = btnCmtCancelClick
-  end
-  object btnCmtOther: TButton [23]
-    Left = 110
-    Top = 75
-    Width = 75
-    Height = 21
-    Caption = 'Other'
-    TabOrder = 4
-    OnClick = btnCmtOtherClick
-  end
-  object cmdLexSearch: TButton [24]
-    Left = 545
-    Top = 95
-    Width = 46
-    Height = 21
-    Anchors = [akTop, akRight]
-    Caption = 'Lexicon'
-    TabOrder = 9
-    OnClick = cmdLexSearchClick
+  object pnlMain: TPanel [4]
+    Left = 0
+    Top = 0
+    Width = 569
+    Height = 402
+    Anchors = [akLeft, akTop, akRight, akBottom]
+    BevelOuter = bvNone
+    TabOrder = 1
+    DesignSize = (
+      569
+      402)
+    object lblService: TLabel
+      Left = 4
+      Top = 4
+      Width = 134
+      Height = 13
+      Caption = 'Consult to Service/Specialty'
+    end
+    object lblReason: TLabel
+      Left = 4
+      Top = 227
+      Width = 95
+      Height = 13
+      Caption = 'Reason for Request'
+    end
+    object lblComment: TLabel
+      Left = 4
+      Top = 169
+      Width = 77
+      Height = 13
+      Caption = 'New Comments:'
+    end
+    object lblComments: TLabel
+      Left = 8
+      Top = 108
+      Width = 89
+      Height = 13
+      Caption = 'Display Comments:'
+    end
+    object lblUrgency: TStaticText
+      Left = 196
+      Top = 4
+      Width = 44
+      Height = 17
+      Caption = 'Urgency'
+      TabOrder = 14
+    end
+    object lblPlace: TStaticText
+      Left = 376
+      Top = 93
+      Width = 104
+      Height = 17
+      Caption = 'Place of Consultation'
+      TabOrder = 15
+    end
+    object lblAttn: TStaticText
+      Left = 376
+      Top = 4
+      Width = 46
+      Height = 17
+      Caption = 'Attention'
+      TabOrder = 16
+    end
+    object lblProvDiag: TStaticText
+      Left = 195
+      Top = 134
+      Width = 104
+      Height = 17
+      Caption = 'Provisional Diagnosis'
+      TabOrder = 17
+    end
+    object lblInpOutp: TStaticText
+      Left = 197
+      Top = 99
+      Width = 127
+      Height = 17
+      Caption = 'Patient will be seen as an:'
+      TabOrder = 18
+    end
+    object memReason: TRichEdit
+      Left = 4
+      Top = 240
+      Width = 559
+      Height = 161
+      Anchors = [akLeft, akTop, akRight, akBottom]
+      Font.Charset = DEFAULT_CHARSET
+      Font.Color = clWindowText
+      Font.Height = -11
+      Font.Name = 'Courier New'
+      Font.Style = []
+      ParentFont = False
+      PopupMenu = popReason
+      ScrollBars = ssBoth
+      TabOrder = 12
+      WantTabs = True
+      OnChange = ControlChange
+      OnExit = memReasonExit
+      OnKeyDown = memCommentKeyDown
+      OnKeyPress = memCommentKeyPress
+      OnKeyUp = memCommentKeyUp
+    end
+    object cboService: TORComboBox
+      Left = 4
+      Top = 19
+      Width = 180
+      Height = 83
+      Style = orcsSimple
+      AutoSelect = True
+      Caption = 'Consult to Service/Specialty'
+      Color = clWindow
+      DropDownCount = 8
+      Enabled = False
+      Font.Charset = DEFAULT_CHARSET
+      Font.Color = clGrayText
+      Font.Height = -11
+      Font.Name = 'MS Sans Serif'
+      Font.Style = []
+      ItemHeight = 13
+      ItemTipColor = clWindow
+      ItemTipEnable = True
+      ListItemsOnly = True
+      LongList = False
+      LookupPiece = 0
+      MaxLength = 0
+      ParentFont = False
+      Pieces = '2'
+      Sorted = True
+      SynonymChars = '<>'
+      TabOrder = 0
+      CharsNeedMatch = 1
+    end
+    object cboUrgency: TORComboBox
+      Left = 196
+      Top = 19
+      Width = 170
+      Height = 21
+      Style = orcsDropDown
+      AutoSelect = True
+      Caption = 'Urgency'
+      Color = clWindow
+      DropDownCount = 8
+      ItemHeight = 13
+      ItemTipColor = clWindow
+      ItemTipEnable = True
+      ListItemsOnly = True
+      LongList = False
+      LookupPiece = 0
+      MaxLength = 0
+      Pieces = '2'
+      Sorted = False
+      SynonymChars = '<>'
+      TabOrder = 1
+      OnChange = ControlChange
+      CharsNeedMatch = 1
+    end
+    object radInpatient: TRadioButton
+      Left = 197
+      Top = 113
+      Width = 61
+      Height = 17
+      Caption = '&Inpatient'
+      TabOrder = 6
+      OnClick = radInpatientClick
+    end
+    object radOutpatient: TRadioButton
+      Left = 269
+      Top = 113
+      Width = 73
+      Height = 17
+      Caption = '&Outpatient'
+      TabOrder = 7
+      OnClick = radOutpatientClick
+    end
+    object cboPlace: TORComboBox
+      Left = 376
+      Top = 106
+      Width = 188
+      Height = 21
+      Anchors = [akLeft, akTop, akRight]
+      Style = orcsDropDown
+      AutoSelect = True
+      Caption = 'Place of Consultation'
+      Color = clWindow
+      DropDownCount = 8
+      ItemHeight = 13
+      ItemTipColor = clWindow
+      ItemTipEnable = True
+      ListItemsOnly = True
+      LongList = False
+      LookupPiece = 0
+      MaxLength = 0
+      Pieces = '2'
+      Sorted = False
+      SynonymChars = '<>'
+      TabOrder = 8
+      OnChange = ControlChange
+      CharsNeedMatch = 1
+    end
+    object txtProvDiag: TCaptionEdit
+      Left = 195
+      Top = 147
+      Width = 316
+      Height = 21
+      Anchors = [akLeft, akTop, akRight]
+      MaxLength = 180
+      ParentShowHint = False
+      PopupMenu = mnuPopProvDx
+      ShowHint = True
+      TabOrder = 10
+      OnChange = ControlChange
+      Caption = 'Provisional Diagnosis'
+    end
+    object txtAttn: TORComboBox
+      Left = 376
+      Top = 19
+      Width = 188
+      Height = 21
+      Anchors = [akLeft, akTop, akRight]
+      Style = orcsDropDown
+      AutoSelect = True
+      Caption = 'Attention'
+      Color = clWindow
+      DropDownCount = 8
+      ItemHeight = 13
+      ItemTipColor = clWindow
+      ItemTipEnable = True
+      ListItemsOnly = True
+      LongList = True
+      LookupPiece = 2
+      MaxLength = 0
+      Pieces = '2,3'
+      Sorted = False
+      SynonymChars = '<>'
+      TabOrder = 2
+      OnChange = ControlChange
+      OnNeedData = txtAttnNeedData
+      CharsNeedMatch = 1
+    end
+    object cboCategory: TORComboBox
+      Left = 559
+      Top = 103
+      Width = 10
+      Height = 21
+      Style = orcsDropDown
+      AutoSelect = True
+      Color = clWindow
+      DropDownCount = 8
+      ItemHeight = 13
+      ItemTipColor = clWindow
+      ItemTipEnable = True
+      ListItemsOnly = False
+      LongList = False
+      LookupPiece = 0
+      MaxLength = 0
+      Sorted = False
+      SynonymChars = '<>'
+      TabOrder = 13
+      Visible = False
+      CharsNeedMatch = 1
+    end
+    object memComment: TRichEdit
+      Left = 4
+      Top = 185
+      Width = 557
+      Height = 41
+      Anchors = [akLeft, akTop, akRight]
+      PopupMenu = popReason
+      TabOrder = 11
+      WantTabs = True
+      OnChange = ControlChange
+      OnExit = memCommentExit
+      OnKeyDown = memCommentKeyDown
+      OnKeyPress = memCommentKeyPress
+      OnKeyUp = memCommentKeyUp
+    end
+    object btnCmtCancel: TButton
+      Left = 8
+      Top = 127
+      Width = 75
+      Height = 21
+      Caption = 'Cancellation'
+      TabOrder = 4
+      OnClick = btnCmtCancelClick
+    end
+    object btnCmtOther: TButton
+      Left = 110
+      Top = 127
+      Width = 75
+      Height = 21
+      Caption = 'Other'
+      TabOrder = 5
+      OnClick = btnCmtOtherClick
+    end
+    object cmdLexSearch: TButton
+      Left = 515
+      Top = 147
+      Width = 46
+      Height = 21
+      Anchors = [akTop, akRight]
+      Caption = 'Lexicon'
+      TabOrder = 9
+      OnClick = cmdLexSearchClick
+    end
+    object lblEarliest: TStaticText
+      Left = 197
+      Top = 46
+      Width = 121
+      Height = 17
+      Caption = 'Earliest appropriate date:'
+      TabOrder = 19
+    end
+    object calEarliest: TORDateBox
+      Left = 197
+      Top = 62
+      Width = 164
+      Height = 21
+      TabOrder = 3
+      OnExit = calEarliestExit
+      DateOnly = True
+      RequireTime = False
+    end
+    object lblLatest: TStaticText
+      Left = 376
+      Top = 46
+      Width = 116
+      Height = 17
+      Caption = 'Latest appropriate date:'
+      TabOrder = 21
+      Visible = False
+    end
+    object calLatest: TORDateBox
+      Left = 378
+      Top = 62
+      Width = 188
+      Height = 21
+      Anchors = [akLeft, akTop, akRight]
+      TabOrder = 22
+      Visible = False
+      OnExit = calLatestExit
+      DateOnly = True
+      RequireTime = False
+    end
   end
   inherited amgrMain: TVA508AccessibilityManager
     Data = (
       (
+        'Component = pnlMessage'
+        'Status = stsDefault')
+      (
+        'Component = memMessage'
+        'Status = stsDefault')
+      (
+        'Component = cmdAccept'
+        'Status = stsDefault')
+      (
+        'Component = cmdQuit'
+        'Status = stsDefault')
+      (
+        'Component = frmEditCslt'
+        'Status = stsDefault')
+      (
+        'Component = pnlMain'
+        'Status = stsDefault')
+      (
         'Component = lblUrgency'
         'Status = stsDefault')
@@ -389,10 +484,4 @@
         'Status = stsDefault')
       (
-        'Component = pnlMessage'
-        'Status = stsDefault')
-      (
-        'Component = memMessage'
-        'Status = stsDefault')
-      (
         'Component = cboService'
         'Status = stsDefault')
@@ -419,10 +508,4 @@
         'Status = stsDefault')
       (
-        'Component = cmdAccept'
-        'Status = stsDefault')
-      (
-        'Component = cmdQuit'
-        'Status = stsDefault')
-      (
         'Component = memComment'
         'Status = stsDefault')
@@ -437,10 +520,25 @@
         'Status = stsDefault')
       (
-        'Component = frmEditCslt'
+        'Component = lblEarliest'
+        'Status = stsDefault')
+      (
+        'Component = calEarliest'
+        'Status = stsDefault')
+      (
+        'Component = lblLatest'
+        'Status = stsDefault')
+      (
+        'Component = calLatest'
+        'Status = stsDefault')
+      (
+        'Component = pnlCombatVet'
+        'Status = stsDefault')
+      (
+        'Component = txtCombatVet'
         'Status = stsDefault'))
   end
   object mnuPopProvDx: TPopupMenu
     Left = 353
-    Top = 77
+    Top = 129
     object mnuPopProvDxDelete: TMenuItem
       Caption = 'Delete diagnosis'
@@ -450,6 +548,6 @@
   object popReason: TPopupMenu
     OnPopup = popReasonPopup
-    Left = 411
-    Top = 169
+    Left = 523
+    Top = 369
     object popReasonCut: TMenuItem
       Caption = 'Cu&t'
